EditorTabBar icons is loaded from operating system when package is open (Problem with TabBar
serialization)

04/05/2016 09:09 PM - Zbigniew Rebacz
Description

Steps to reproduce (Make sure you have enabled editor icons):
1. Open project for example (ide)

2. Open several files

3. Close Ide

4. Open project again

Result: Files has got os icons.

History

#1 - 04/05/2016 09:10 PM - Zbigniew Rebacz
- Assignee deleted (Miroslav Fidler)

#2 - 04/05/2016 09:14 PM - Zbigniew Rebacz

- Tracker changed from Feature to Bug

- Subject changed from EditorTabBar icons is not always displayed to EditorTabBar icons is loaded from operating system when package is open
- Description updated

- Assignee set to Zbigniew Rebacz

#3 - 04/09/2016 03:08 PM - Zbigniew Rebacz
- File TabBarlconSerialization.diff added
- Status changed from New to Patch ready

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

Well the icon serialization in TabBar doesn't exists. | think we should implement this. It is safe to add serialization parameter

#4 - 04/09/2016 08:46 PM - Zbigniew Rebacz
- Subject changed from EditorTabBar icons is loaded from operating system when package is open to EditorTabBar icons is loaded from operating
system when package is open (Problem with TabBar serialization)

#5 - 04/19/2016 01:31 PM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Serializing icons sounds sort of wasteful (and it would break all existing .cfg files), therefore | have opted to "fix" icons after loading tabbars instead. It is far
from ideal, better solution would be perhaps to have some "Value->Icon" conversion callback in TabBar, but for theide, it works fine.
#6 - 04/19/2016 08:50 PM - Zbigniew Rebacz
- Status changed from Ready for QA to Approved

It is nice to know that there is other better solution (Yes, serializing icons is (ambiguous option).

Files

TabBarlconSerialization.diff 833 Bytes 04/09/2016 Zbigniew Rebacz
